Bug 587483 - deadlock in i915 driver (Arrandale)
deadlock in i915 driver (Arrandale)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 22:02 EDT by Bill Nottingham
Modified: 2014-03-16 23:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:58:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (68.46 KB, text/plain)
2010-04-29 22:02 EDT, Bill Nottingham
no flags Details
Xorg 2.6.34.7 (41.48 KB, text/plain)
2010-11-04 01:49 EDT, Darryl Bond
no flags Details
dmesg 2.6.34.7 (57.27 KB, text/plain)
2010-11-04 01:51 EDT, Darryl Bond
no flags Details
message 2.6.34.7 (45.59 KB, text/plain)
2010-11-04 01:52 EDT, Darryl Bond
no flags Details
Xorg 2.6.35.4 (42.20 KB, text/plain)
2010-11-04 01:53 EDT, Darryl Bond
no flags Details
dmesg 2.6.35.4 (59.01 KB, text/plain)
2010-11-04 01:53 EDT, Darryl Bond
no flags Details
messages 2.6.35.4 (45.15 KB, text/plain)
2010-11-04 01:54 EDT, Darryl Bond
no flags Details
Xorg 2.6.35.6-48 (42.20 KB, text/plain)
2010-11-04 01:55 EDT, Darryl Bond
no flags Details
dmesg 2.6.35.6 (63.99 KB, text/plain)
2010-11-04 01:55 EDT, Darryl Bond
no flags Details
messages 2.6.35.6 (47.56 KB, text/plain)
2010-11-04 01:56 EDT, Darryl Bond
no flags Details

  None (edit)
Description Bill Nottingham 2010-04-29 22:02:06 EDT
Created attachment 410287 [details]
X log

Description of problem:

Happened when using gnome-shell.

Apr 29 21:42:18 nostromo kernel: INFO: task i915:176 blocked for more than 120 seconds.
Apr 29 21:42:18 nostromo kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Apr 29 21:42:18 nostromo kernel: i915          D 0000000000000000     0   176      2 0x00000000
Apr 29 21:42:18 nostromo kernel: ffff88022e39fd20 0000000000000046 0000000000000000 00000002ffffff00
Apr 29 21:42:18 nostromo kernel: 0000000000000000 ffff88000910fc60 0000000000000400 ffff88022e39ffd8
Apr 29 21:42:18 nostromo kernel: ffff88022e39ffd8 000000000000f9b0 00000000000157c0 ffff88022e9903c8
Apr 29 21:42:18 nostromo kernel: Call Trace:
Apr 29 21:42:18 nostromo kernel: [<ffffffff81429753>] __mutex_lock_common+0x135/0x19c
Apr 29 21:42:18 nostromo kernel: [<ffffffff81428ea0>] ? schedule+0x850/0x8e6
Apr 29 21:42:18 nostromo kernel: [<ffffffff814297ce>] __mutex_lock_slowpath+0x14/0x16
Apr 29 21:42:18 nostromo kernel: [<ffffffff814298d5>] mutex_lock+0x31/0x4b
Apr 29 21:42:18 nostromo kernel: [<ffffffffa0086407>] intel_idle_update+0x35/0x1f7 [i915]
Apr 29 21:42:18 nostromo kernel: [<ffffffff810ad5eb>] ? probe_workqueue_execution+0xb1/0xcd
Apr 29 21:42:18 nostromo kernel: [<ffffffff81060cd5>] worker_thread+0x1a4/0x232
Apr 29 21:42:18 nostromo kernel: [<ffffffffa00863d2>] ? intel_idle_update+0x0/0x1f7 [i915]
Apr 29 21:42:18 nostromo kernel: [<ffffffff810647af>] ? autoremove_wake_function+0x0/0x34
Apr 29 21:42:18 nostromo kernel: [<ffffffff81060b31>] ? worker_thread+0x0/0x232
Apr 29 21:42:18 nostromo kernel: [<ffffffff8106435f>] kthread+0x7a/0x82
Apr 29 21:42:18 nostromo kernel: [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
Apr 29 21:42:18 nostromo kernel: [<ffffffff810642e5>] ? kthread+0x0/0x82
Apr 29 21:42:18 nostromo kernel: [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
Apr 29 21:42:18 nostromo kernel: INFO: task Xorg:1688 blocked for more than 120 seconds.
Apr 29 21:42:18 nostromo kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Apr 29 21:42:18 nostromo kernel: Xorg          D 0000000000000000     0  1688   1685 0x00400084
Apr 29 21:42:18 nostromo kernel: ffff8802319bdca8 0000000000000082 0000000000000000 0000000000000006
Apr 29 21:42:18 nostromo kernel: ffff8802319bdc78 ffffffff811c35b3 ffff8802319bdd28 ffff8802319bdfd8
Apr 29 21:42:18 nostromo kernel: ffff8802319bdfd8 000000000000f9b0 00000000000157c0 ffff88022ccab268
Apr 29 21:42:18 nostromo kernel: Call Trace:
Apr 29 21:42:18 nostromo kernel: [<ffffffff811c35b3>] ? avc_has_perm+0x57/0x69
Apr 29 21:42:18 nostromo kernel: [<ffffffff81429753>] __mutex_lock_common+0x135/0x19c
Apr 29 21:42:18 nostromo kernel: [<ffffffffa0077c24>] ? drm_gem_object_unreference+0x15/0x17 [i915]
Apr 29 21:42:18 nostromo kernel: [<ffffffff814297ce>] __mutex_lock_slowpath+0x14/0x16
Apr 29 21:42:18 nostromo kernel: [<ffffffff814298d5>] mutex_lock+0x31/0x4b
Apr 29 21:42:18 nostromo kernel: [<ffffffffa002c285>] drm_gem_mmap+0x3d/0x144 [drm]
Apr 29 21:42:18 nostromo kernel: [<ffffffff810df0cf>] mmap_region+0x2a7/0x4c6
Apr 29 21:42:18 nostromo kernel: [<ffffffff810df581>] do_mmap_pgoff+0x293/0x2f6
Apr 29 21:42:18 nostromo kernel: [<ffffffff810df6d5>] sys_mmap_pgoff+0xf1/0x129
Apr 29 21:42:18 nostromo kernel: [<ffffffff8100dafd>] sys_mmap+0x1d/0x1f
Apr 29 21:42:18 nostromo kernel: [<ffffffff81009b02>] system_call_fastpath+0x16/0x1b

There were no other i915 messages of note (the system deadlocked in general shortly thereafter.)

Version-Release number of selected component (if applicable):

kernel-2.6.33.2-68.fc13.x86_64
xorg-x11-drv-intel-2.11.0-2.fc13.x86_64
xorg-x11-server-Xorg-1.8.0-8.fc13.x86_64
mesa-dri-drivers-7.8.1-2.fc13.x86_64
gnome-shell-2.29.1-4.x86_64
clutter-1.2.4-1.fc13.x86_64

How reproducible:

I've seen lockups that I haven't had a chance to try and track down with gnome-shell a couple of times before.
Comment 1 Darryl Bond 2010-10-28 19:02:36 EDT
I have a number of Atom diskless thin clients based on LTSP f13 that also exhibit this issue. The machine will deadlock and some time later, if the mouse if moved, it will wake back up and 'replay' the events that happened in the lockup. The Oops is:

INFO: task i915:139 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
i915          D 00000000     0   139      2 0x00000000
 f6781ef4 00000046 00726dbe 00000000 c0a5e000 c0a5e000 c0a5e000 c0a5e000
 f674cf2c c0a5e000 c0a5e000 56030d3e 0002b110 00000000 0002b110 f674cc80
 00000001 f663a014 f674cc80 f663a018 f6781f34 c078f8ce f663a024 00000000
Call Trace:
 [<c078f8ce>] __mutex_lock_common+0x114/0x161
 [<c078f083>] ? schedule+0x588/0x5dc
 [<c078f932>] __mutex_lock_slowpath+0x17/0x1a
 [<c078fa21>] ? mutex_lock+0x30/0x3e
 [<c078fa21>] mutex_lock+0x30/0x3e
 [<f7e21511>] intel_idle_update+0x32/0x1ac [i915]
 [<c049019f>] ? probe_workqueue_execution+0x92/0xad
 [<c044a431>] worker_thread+0x13f/0x1b7
 [<f7e214df>] ? intel_idle_update+0x0/0x1ac [i915]
 [<c044d781>] ? autoremove_wake_function+0x0/0x34
 [<c044a2f2>] ? worker_thread+0x0/0x1b7
 [<c044d419>] kthread+0x64/0x69
 [<c044d3b5>] ? kthread+0x0/0x69
 [<c04039be>] kernel_thread_helper+0x6/0x10

xorg-x11-server-Xorg-1.8.2-3.fc13.i686
xorg-x11-server-common-1.8.2-3.fc13.i686
xorg-x11-drv-intel-2.11.0-5.fc13.i686
Comment 2 Darryl Bond 2010-10-28 20:15:02 EDT
Missed the kernel version 2.6.34.7-56.fc13.i686
Comment 3 Matěj Cepl 2010-10-29 08:40:13 EDT
(In reply to comment #0)
> There were no other i915 messages of note (the system deadlocked in general
> shortly thereafter.)

Is the computer completely locked up, or would you be able to switch to console, or get there with ssh, and collect stdout of dmesg command? We would get some context for what's going on.

Thank you
Comment 4 Bill Nottingham 2010-10-29 11:41:30 EDT
Honestly, haven't used gnome-shell in the interim. Will play more with F-15, but things have moved on enough that I don't know that it's still valid.
Comment 5 Matěj Cepl 2010-11-01 13:14:03 EDT
(In reply to comment #4)
> Honestly, haven't used gnome-shell in the interim. Will play more with F-15,
> but things have moved on enough that I don't know that it's still valid.

Hardly ... there are plenty of changes between F13 and F15. I was not blaming gnome-shell, just that any 3D program is likely to generate this.
Comment 6 Darryl Bond 2010-11-01 20:44:35 EDT
(In reply to comment #3)
> (In reply to comment #0)
> > There were no other i915 messages of note (the system deadlocked in general
> > shortly thereafter.)
> 
> Is the computer completely locked up, or would you be able to switch to
> console, or get there with ssh, and collect stdout of dmesg command? We would
> get some context for what's going on.
> 
> Thank you

The computer is not completely locked up. I can wake the display up by moving the mouse or touching a key.
I found that if I ssh in I can also wake it up by using strace against the Xorg process.

I tried installing the F14 kernel 2.6.35.4-28.fc14. and this does not exhibit the problem! I therefore have a fix once I have tested this F14 kernel does not introduce new and interesting issues :)
Comment 7 Matěj Cepl 2010-11-02 10:14:51 EDT
(In reply to comment #6)
> The computer is not completely locked up. I can wake the display up by moving
> the mouse or touching a key.
> I found that if I ssh in I can also wake it up by using strace against the Xorg
> process.

That's a good news! Darryl, could we get output of the dmesg then after the crash happens, please?

> I tried installing the F14 kernel 2.6.35.4-28.fc14. and this does not exhibit
> the problem! I therefore have a fix once I have tested this F14 kernel does not
> introduce new and interesting issues :)

Bill, what do you think, would be willing to accept CLOSED/NEXTRELEASE, or should we try to find out what exactly is the problem, so that F13 can be fixed?

Best,

Matěj
Comment 8 Bill Nottingham 2010-11-02 11:56:48 EDT
I'm not currently running F-13... if I see it come back on later releases, I'll file a new bug.
Comment 9 Darryl Bond 2010-11-02 17:32:54 EDT
> That's a good news! Darryl, could we get output of the dmesg then after the
> crash happens, please?
ALSA sound/pci/hda/hda_codec.c:4385: autoconfig: line_outs=1 (0x14/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:4389:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:4393:    hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:4394:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:4397:    dig-out=0x1e/0x0
ALSA sound/pci/hda/hda_codec.c:4405:    inputs: mic=0x18, fmic=0x19, line=0x1a, fline=0x0, cd=0x0, aux=0x0
ALSA sound/pci/hda/patch_realtek.c:1287: realtek: No valid SSID, checking pincfg 0x4005c603 for NID 0x1d
ALSA sound/pci/hda/patch_realtek.c:1303: realtek: Enabling init ASM_ID=0xc603 CODEC_ID=10ec0662
eth0: no IPv6 routers present
INFO: task i915:142 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
i915          D c0a7ed40     0   142      2 0x00000000
 c1437ef4 00000046 ffffffff c0a7ed40 c0a7ed40 c0a7ed40 c0a7ed40 c0a7ed40
 c1438f6c c0a7ed40 c0a7ed40 7141df3c 0000005d 00000000 0000005d c1438cc0
 00000001 f6a1d814 c1438cc0 f6a1d818 c1437f34 c07a22fe f6a1d824 00000000
Call Trace:
 [<c07a22fe>] __mutex_lock_common+0x114/0x161
 [<c07a1ab3>] ? schedule+0x588/0x5dc
 [<c07a2362>] __mutex_lock_slowpath+0x17/0x1a
 [<c07a2451>] ? mutex_lock+0x30/0x3e
 [<c07a2451>] mutex_lock+0x30/0x3e
 [<f802268d>] intel_idle_update+0x32/0x1ac [i915]
 [<c0497183>] ? probe_workqueue_execution+0x92/0xad
 [<c04513b9>] worker_thread+0x13f/0x1b7
 [<f802265b>] ? intel_idle_update+0x0/0x1ac [i915]
 [<c0454709>] ? autoremove_wake_function+0x0/0x34
 [<c045127a>] ? worker_thread+0x0/0x1b7
 [<c04543a1>] kthread+0x64/0x69
 [<c045433d>] ? kthread+0x0/0x69
 [<c040923e>] kernel_thread_helper+0x6/0x10
INFO: task i915:142 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
i915          D c0a7ed40     0   142      2 0x00000000
 c1437ef4 00000046 ffffffff c0a7ed40 c0a7ed40 c0a7ed40 c0a7ed40 c0a7ed40
 c1438f6c c0a7ed40 c0a7ed40 7141df3c 0000005d 00000000 0000005d c1438cc0
 00000001 f6a1d814 c1438cc0 f6a1d818 c1437f34 c07a22fe f6a1d824 00000000
Call Trace:
 [<c07a22fe>] __mutex_lock_common+0x114/0x161
 [<c07a1ab3>] ? schedule+0x588/0x5dc
 [<c07a2362>] __mutex_lock_slowpath+0x17/0x1a
 [<c07a2451>] ? mutex_lock+0x30/0x3e
 [<c07a2451>] mutex_lock+0x30/0x3e
 [<f802268d>] intel_idle_update+0x32/0x1ac [i915]
 [<c0497183>] ? probe_workqueue_execution+0x92/0xad
 [<c04513b9>] worker_thread+0x13f/0x1b7
 [<f802265b>] ? intel_idle_update+0x0/0x1ac [i915]
 [<c0454709>] ? autoremove_wake_function+0x0/0x34
 [<c045127a>] ? worker_thread+0x0/0x1b7
 [<c04543a1>] kthread+0x64/0x69
 [<c045433d>] ? kthread+0x0/0x69
 [<c040923e>] kernel_thread_helper+0x6/0x10
INFO: task i915:142 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
i915          D c0a7ed40     0   142      2 0x00000000
 c1437ef4 00000046 ffffffff c0a7ed40 c0a7ed40 c0a7ed40 c0a7ed40 c0a7ed40
 c1438f6c c0a7ed40 c0a7ed40 7141df3c 0000005d 00000000 0000005d c1438cc0
 00000001 f6a1d814 c1438cc0 f6a1d818 c1437f34 c07a22fe f6a1d824 00000000
Call Trace:
 [<c07a22fe>] __mutex_lock_common+0x114/0x161
 [<c07a1ab3>] ? schedule+0x588/0x5dc
 [<c07a2362>] __mutex_lock_slowpath+0x17/0x1a
 [<c07a2451>] ? mutex_lock+0x30/0x3e
 [<c07a2451>] mutex_lock+0x30/0x3e
 [<f802268d>] intel_idle_update+0x32/0x1ac [i915]
 [<c0497183>] ? probe_workqueue_execution+0x92/0xad
 [<c04513b9>] worker_thread+0x13f/0x1b7
 [<f802265b>] ? intel_idle_update+0x0/0x1ac [i915]
 [<c0454709>] ? autoremove_wake_function+0x0/0x34
 [<c045127a>] ? worker_thread+0x0/0x1b7
 [<c04543a1>] kthread+0x64/0x69
 [<c045433d>] ? kthread+0x0/0x69
 [<c040923e>] kernel_thread_helper+0x6/0x10
INFO: task i915:142 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
i915          D c0a7ed40     0   142      2 0x00000000
 c1437ef4 00000046 ffffffff c0a7ed40 c0a7ed40 c0a7ed40 c0a7ed40 c0a7ed40
 c1438f6c c0a7ed40 c0a7ed40 7141df3c 0000005d 00000000 0000005d c1438cc0
 00000001 f6a1d814 c1438cc0 f6a1d818 c1437f34 c07a22fe f6a1d824 00000000
Call Trace:
 [<c07a22fe>] __mutex_lock_common+0x114/0x161
 [<c07a1ab3>] ? schedule+0x588/0x5dc
 [<c07a2362>] __mutex_lock_slowpath+0x17/0x1a
 [<c07a2451>] ? mutex_lock+0x30/0x3e
 [<c07a2451>] mutex_lock+0x30/0x3e
 [<f802268d>] intel_idle_update+0x32/0x1ac [i915]
 [<c0497183>] ? probe_workqueue_execution+0x92/0xad
 [<c04513b9>] worker_thread+0x13f/0x1b7
 [<f802265b>] ? intel_idle_update+0x0/0x1ac [i915]
 [<c0454709>] ? autoremove_wake_function+0x0/0x34
 [<c045127a>] ? worker_thread+0x0/0x1b7
 [<c04543a1>] kthread+0x64/0x69
 [<c045433d>] ? kthread+0x0/0x69
 [<c040923e>] kernel_thread_helper+0x6/0x10
INFO: task i915:142 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
i915          D c0a7ed40     0   142      2 0x00000000
 c1437ef4 00000046 ffffffff c0a7ed40 c0a7ed40 c0a7ed40 c0a7ed40 c0a7ed40
 c1438f6c c0a7ed40 c0a7ed40 7141df3c 0000005d 00000000 0000005d c1438cc0
 00000001 f6a1d814 c1438cc0 f6a1d818 c1437f34 c07a22fe f6a1d824 00000000
Call Trace:
 [<c07a22fe>] __mutex_lock_common+0x114/0x161
 [<c07a1ab3>] ? schedule+0x588/0x5dc
 [<c07a2362>] __mutex_lock_slowpath+0x17/0x1a
 [<c07a2451>] ? mutex_lock+0x30/0x3e
 [<c07a2451>] mutex_lock+0x30/0x3e
 [<f802268d>] intel_idle_update+0x32/0x1ac [i915]
 [<c0497183>] ? probe_workqueue_execution+0x92/0xad
 [<c04513b9>] worker_thread+0x13f/0x1b7
 [<f802265b>] ? intel_idle_update+0x0/0x1ac [i915]
 [<c0454709>] ? autoremove_wake_function+0x0/0x34
 [<c045127a>] ? worker_thread+0x0/0x1b7
 [<c04543a1>] kthread+0x64/0x69
 [<c045433d>] ? kthread+0x0/0x69
 [<c040923e>] kernel_thread_helper+0x6/0x10
Comment 10 Darryl Bond 2010-11-03 01:04:24 EDT
I downloaded and installed the final F14 kernel kernel-PAE-2.6.35.6-48.fc14.
I was astonished to see that it exhibited the stall in the graphics when there is no activity on keyboard and mouse. The strange thing is that it does not print the hung_task_timeout_secs message to dmesg!!?

2.6.34.7-71 Graphics stall with hung_task_timeout_secs
2.6.35.4-28 Works perfectly with no graphics stalling.
2.6.35.6-48 Graphics stall with no errors to dmesg there is no  /proc/sys/kernel/hung_task_timeout_secs in 2.6.35

A better description of the stall would be:
This is a thin client based on F13 LTSP. I have a Citrix ICA client session displaying a Windows Server desktop with the Windows performance meter being displayed. There is no keyboard or mouse interaction. The performace meter updates for about 10-20 seconds then stops updating. 

Moving the mouse or keyboard causes the stalled display to replay all the activity that it would have displayed if it had not stalled on fast-forward then reverts to real time but stalls again one there is no user activity.

I would  be hunting in the Citrix settings but the fact that 2.6.35.4 works perfectly indicates that it is not there.

I ran gnome-system-monitor from another box displaying on the same client but cannot display them side by side. When the gnome-system-monitor is displayed on another virtual desktop it does not stall!!
Comment 11 Darryl Bond 2010-11-03 02:15:17 EDT
I did some more tests on a similar thin client (Intel Atom) that uses Intel chipset and the i915 driver but does not exhibit the fault at all. A lspci of the good hardware is:
00:02.0 VGA compatible controller: Intel Corporation N10 Family Integrated Graphics Controller (rev 02)

The older hardware that exhibits the stall is:
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)

I have other Intel Atom ? Nvidia ION boxes that do not exhibit the fault either but they use the nouveau kernel driver anyway.
Comment 12 Matěj Cepl 2010-11-03 18:21:36 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

from BOTH faulty kernels

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 13 Darryl Bond 2010-11-04 01:49:48 EDT
Created attachment 457659 [details]
Xorg 2.6.34.7

This kernel has the fault
Comment 14 Darryl Bond 2010-11-04 01:51:27 EDT
Created attachment 457660 [details]
dmesg 2.6.34.7

This kernel has the fault
Comment 15 Darryl Bond 2010-11-04 01:52:07 EDT
Created attachment 457661 [details]
message 2.6.34.7

This kernel has the fault
Comment 16 Darryl Bond 2010-11-04 01:53:07 EDT
Created attachment 457662 [details]
Xorg 2.6.35.4

This kernel does not display the fault
Comment 17 Darryl Bond 2010-11-04 01:53:56 EDT
Created attachment 457663 [details]
dmesg 2.6.35.4

This kernel does not display the fault
Comment 18 Darryl Bond 2010-11-04 01:54:31 EDT
Created attachment 457664 [details]
messages 2.6.35.4

This kernel does not display the fault
Comment 19 Darryl Bond 2010-11-04 01:55:17 EDT
Created attachment 457665 [details]
Xorg 2.6.35.6-48

This kernel does display the fault
Comment 20 Darryl Bond 2010-11-04 01:55:48 EDT
Created attachment 457666 [details]
dmesg 2.6.35.6

This kernel does display the fault
Comment 21 Darryl Bond 2010-11-04 01:56:22 EDT
Created attachment 457667 [details]
messages 2.6.35.6

This kernel does display the fault
Comment 22 Bug Zapper 2011-06-02 10:42:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2011-06-27 11:58:26 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.